Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf
Class EncryptedSlideShow

    java.lang.Object
      org.apache.poi.hslf.EncryptedSlideShow

    public final class EncryptedSlideShow

extends java.lang.Object

This class provides helper functions for determining if a PowerPoint document is Encrypted. In future, it may also provide Encryption and Decryption functions, but first we'd need to figure out how PowerPoint encryption is really done!

Author:
  Nick Burch

Constructor Summary
`EncryptedSlideShow()`

Method Summary
`static boolean` | `checkIfEncrypted(HSLFSlideShow hss)` Check to see if a HSLFSlideShow represents an encrypted PowerPoint document, or not
`static DocumentEncryptionAtom` | `fetchDocumentEncryptionAtom(HSLFSlideShow hss)` Return the DocumentEncryptionAtom for a HSLFSlideShow, or null if there isn't one.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptedSlideShow

    public EncryptedSlideShow()

Method Detail

### checkIfEncrypted

    public static boolean checkIfEncrypted(HSLFSlideShow hss)

  Check to see if a HSLFSlideShow represents an encrypted PowerPoint document, or not

  Parameters:
    `hss` - The HSLFSlideShow to check
  Returns:
    true if encrypted, otherwise false

### fetchDocumentEncryptionAtom

    public static DocumentEncryptionAtom fetchDocumentEncryptionAtom(HSLFSlideShow hss)

  Return the DocumentEncryptionAtom for a HSLFSlideShow, or null if there isn't one.

  Returns:
    a DocumentEncryptionAtom, or null if there isn't one

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.